Minimum server requirements to install ViMP:

Apache2

  • Version 2.2 or 2.4 recommended
  • mod_rewrite must be enabled

PHP

  • Version 5.5.x, 5.6.x, 7.0.x
  • GD library, Mcrypt, cURL, MySQL, mbstring, MySQLi, PDO, pdo_mysql and XSL extensions must be installed
  • PHP CLI (Command Line Interface) must be installed

MySQL/MariaDB

  • MySQL: At least version 5.0
  • MariaDB: At least version 10.0
  • InnoDB must be installed

 

Hardware

Our minimum server recommendation is as follows:

  • Quad Core Processor or better
  • 8 GB RAM (better 16 GB or more)
  • 500 GB hard disc space (the actual capacity needed depends on the number of media)

For additional data security, we recommend using a RAID controller.